#!/bin/bash

read -p 'Bitrate [192]: ' BITRATE
if [[ -z "$BITRATE" ]]; then
	BITRATE=192
fi
read -p 'Gain db [-1]: ' GAIN
if [[ -z "$GAIN" ]]; then
	GAIN=-1
fi

mkdir -p opus

for file in *.flac; do
	sox -V3 -D "$file" -t flac -b 24 - gain "$GAIN" rate -v 48000 |
	    opusenc --bitrate "$BITRATE" - "./opus/${file/%flac/ogg}"
done
